Subject: Re: bug#65319: compilation error on Android (Termux)

From: Bruno Haible <[email-masked]>
Date: Wed, 16 Aug 2023 03:49:42 +0200

Po Lu wrote:
> What does config.guess say in Termux?

Both build-aux/config.guess and exec/config.guess return
  armv7l-unknown-linux-gnueabi
but I configure all packages with
  --host=armv7l-linux-androideabi
so that all tests of "$host_os" see that it's Android and not an
arm system with glibc.

> And are you trying to
> build the Android port on Android, or just Emacs itself?

I took the Emacs sources from git, generated the 'configure' file, and
am compiling it like I compile on other POSIX-like systems. The Emacs
specific configure options that I use are --without-all --without-x.

Bruno